change log for rtems (2010-06-11)
rtems-vc at rtems.org
rtems-vc at rtems.org
Fri Jun 11 20:11:20 UTC 2010
*ralf*:
New (Copy of ../tools/build/doxy-filter).
A 1.1 cpukit/doxy-filter
diff -u /dev/null rtems/cpukit/doxy-filter:1.1
--- /dev/null Fri Jun 11 15:11:19 2010
+++ rtems/cpukit/doxy-filter Fri Jun 11 14:36:36 2010
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+# doxygen input filter
+# $Id$
+
+# usage: doxy-filter <input-file-name>
+# Reads <input-file> and writes to stdout.
+
+file=$1
+
+# Does file contain a doxygen @file directive?
+if ! grep -q '@file' $file >/dev/null ; then
+# No, add one
+echo "/** @file $file */"
+cat $file
+else
+# Yes, adjust path to work around doxygen not being able to
+# distinguish file names properly
+exec sed -e "s, at file.*$, at file $file," $file
+fi
+
*ralf*:
2010-06-11 Ralf Corsépius <ralf.corsepius at rtems.org>
* Doxygen.in: Update.
Misc. fixes.
* doxy-filter: New (Copy of ../tools/build/doxy-filter).
* Makefile.am: Add doxy-filter.
M 1.2368 cpukit/ChangeLog
M 1.97 cpukit/Makefile.am
diff -u rtems/cpukit/ChangeLog:1.2367 rtems/cpukit/ChangeLog:1.2368
--- rtems/cpukit/ChangeLog:1.2367 Fri Jun 11 09:27:20 2010
+++ rtems/cpukit/ChangeLog Fri Jun 11 14:37:12 2010
@@ -1,5 +1,12 @@
2010-06-11 Ralf Corsépius <ralf.corsepius at rtems.org>
+ * Doxygen.in: Update.
+ Misc. fixes.
+ * doxy-filter: New (Copy of ../tools/build/doxy-filter).
+ * Makefile.am: Add doxy-filter.
+
+2010-06-11 Ralf Corsépius <ralf.corsepius at rtems.org>
+
* configure.ac: Remove c4x.
* score/cpu/Makefile.am: Remove c4x.
diff -u rtems/cpukit/Makefile.am:1.96 rtems/cpukit/Makefile.am:1.97
--- rtems/cpukit/Makefile.am:1.96 Wed Jun 9 03:06:25 2010
+++ rtems/cpukit/Makefile.am Fri Jun 11 14:37:12 2010
@@ -177,6 +177,9 @@
## fsmount
include_rtems_HEADERS += libmisc/fsmount/fsmount.h
+## HACK: doxygen filter.
+EXTRA_DIST = doxy-filter
+
include $(srcdir)/preinstall.am
include $(top_srcdir)/automake/subdirs.am
include $(top_srcdir)/automake/local.am
--
Generated by Deluxe Loginfo [http://www.codewiz.org/projects/index.html#loginfo] 2.122 by Bernardo Innocenti <bernie at develer.com>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.rtems.org/pipermail/vc/attachments/20100611/3ebf4513/attachment-0001.html>
More information about the vc
mailing list